Project

General

Profile

GT-I9300 Replicant 6.0, Can't install apps from F-Droid or refresh list

Added by Boaz Boaz 9 days ago

Running Replicant 6.0 on a Samsung Galaxy S3 (I9300). Can't seem to install any apps via F-Droid. When I try to install an app, I get this message for a few seconds:

Download unsuccessful

Followed by this message for a few seconds:

Failed to connect to /127.0.0.1 (port 8118): connect failed: ECONNREFUSED (Connection refused) https://f-droid.org/repo/...

Where the ellipsis stands for additional url path relating to the particular app.

Additionally, when I press the circling arrow update button (I think this refreshes the repositories, no?), I get the following message:

Error getting index file
Error getting index file

Just like that, the message is repeated two times one on top of the other on two lines.

What's interesting is that the mobile internet is working and can be used by other apps (e.g. the browser).

Not sure if this is relevant, but it shows one update available, for "F-Droid Privileged Extension", but when I click the UPGRADE button it says "The new version is signed with a different key to the old one. To install the new version, the old one must be uninstalled first. Pease do this and try again. (Note that uninstalling will erase any internal data stored by the application)". Not sure if this has anything to do with the other problem.

At some time in the past I was able to at least update the repositories. I can't recall if I ever successfully installed any apps previously.

Needless to say, being unable to install any apps is pretty crippling for functionality of the phone. Any help is greatly appreciated!

Thanks.


Replies (5)

RE: GT-I9300 Replicant 6.0, Can't install apps from F-Droid or refresh list - Added by Fil Bergamo 9 days ago

Boaz Boaz wrote:

Running Replicant 6.0 on a Samsung Galaxy S3 (I9300). Can't seem to install any apps via F-Droid. When I try to install an app, I get this message for a few seconds:

Download unsuccessful

Followed by this message for a few seconds:

Failed to connect to /127.0.0.1 (port 8118): connect failed: ECONNREFUSED (Connection refused) https://f-droid.org/repo/...

Where the ellipsis stands for additional url path relating to the particular app.

Additionally, when I press the circling arrow update button (I think this refreshes the repositories, no?), I get the following message:

Error getting index file
Error getting index file

Just like that, the message is repeated two times one on top of the other on two lines.

It does indeed seem like f-droid has no way to access the internet.

What's interesting is that the mobile internet is working and can be used by other apps (e.g. the browser).

Are you talking about the "mobile data" connection or to the WiFi connection?
What specific build are you using?
Are you running the most recent build?

I ask this, because in the first relase of Replicant 6.0 it was not possible to use the WiFi connection on F-droid and other apps, while it was working in the browser.
This seems compatible to the situation you describe.
That bug was fixed in relase #0002.
In case you haven't yet, you should update to relase #0003 (the latest one) as soon as possible.
A couple of very important security patches were introduced, in addition to the WiFi bugfix.

Not sure if this is relevant, but it shows one update available, for "F-Droid Privileged Extension", but when I click the UPGRADE button it says "The new version is signed with a different key to the old one. To install the new version, the old one must be uninstalled first. Pease do this and try again. (Note that uninstalling will erase any internal data stored by the application)". Not sure if this has anything to do with the other problem.

This is another hint that you may be running an outdated release.
Please upgrade as soon as possible.
Details are reported in this blog post: https://blog.replicant.us/2017/12/third-replicant-6-0-release/
Instructions for updating are reported here: https://redmine.replicant.us/projects/replicant/wiki/Generic_minor_version_upgrade

At some time in the past I was able to at least update the repositories. I can't recall if I ever successfully installed any apps previously.

Needless to say, being unable to install any apps is pretty crippling for functionality of the phone. Any help is greatly appreciated!

Thanks.

I'm confident your problem can be solved.
Please try my suggestions, and please tell me if they solve your issue.
If they don't, feel free to ask for any additional hint. I'll do my best to help.

Cheers,

Fil

RE: GT-I9300 Replicant 6.0, Can't install apps from F-Droid or refresh list - Added by Boaz Boaz 9 days ago

Fil Bergamo wrote:

What's interesting is that the mobile internet is working and can be used by other apps (e.g. the browser).

Are you talking about the "mobile data" connection or to the WiFi connection?

The mobile data. The WiFi doesn't seem to work at all.

What specific build are you using?

I think it's build 0002. Where would I check?

I ask this, because in the first relase of Replicant 6.0 it was not possible to use the WiFi connection on F-droid and other apps, while it was working in the browser.

I really thought WiFi just doesn't work at all without an external adapter. https://redmine.replicant.us/projects/replicant/wiki/Wifi https://redmine.replicant.us/projects/replicant/wiki/ReplicantStatus

Speaking of WiFi, does anyone understand what's the deal with the external adapters? This page https://redmine.replicant.us/projects/replicant/wiki/WifiAdapter lists some adapters that are known to work, but all of them are standard USB, not micro USB. How are they supposed to fit into the phone?

In case you haven't yet, you should update to relase #0003 (the latest one) as soon as possible.

All right, I will update and report back if it solves the problem. Can't say I'm terribly optimistic...

I'm confident your problem can be solved.
Please try my suggestions, and please tell me if they solve your issue.
If they don't, feel free to ask for any additional hint. I'll do my best to help.

Thank you very much for your kind words and your suggestions.

Best Regards,

Boaz

RE: GT-I9300 Replicant 6.0, Can't install apps from F-Droid or refresh list - Added by Fil Bergamo 8 days ago

Boaz Boaz wrote:

I think it's build 0002. Where would I check?

Unfortunately, the release number is not directly mentioned in the "About phone" section.
But you can easily determine that by looking at Settings->About phone->Build date
the official release #0003 would show "So 10. Dez 16:07:40 UTC 2017. If your device shows any date before that, then you're running an outdated version of Replicant.

I really thought WiFi just doesn't work at all without an external adapter. https://redmine.replicant.us/projects/replicant/wiki/Wifi https://redmine.replicant.us/projects/replicant/wiki/ReplicantStatus

Speaking of WiFi, does anyone understand what's the deal with the external adapters? This page https://redmine.replicant.us/projects/replicant/wiki/WifiAdapter lists some adapters that are known to work, but all of them are standard USB, not micro USB. How are they supposed to fit into the phone?

Indeed, the on-board chip doesn't work without proprietary software; so the only way to enable WiFi is to use an external WiFi card that works with free driver/firmware.
The page you linked lists all adaptors that are known to work in Replicant with free software.
All of them come with full-sized USB connector; to use them with Replicant phones, special cables or adaptors are needed to operate in OTG mode, making your phone behave as a "host" that can drive usb peripherals.
You can easily find USB OTG cables or adaptors (any will do) in pretty much any online store.
As for the dongles: the ones that Technoethical and Thinkpenguin sell are RYF-certified.

All right, I will update and report back if it solves the problem. Can't say I'm terribly optimistic...

I strongly suggest you do so.

Also, have a look at F-droid's settings: there's an option that prevents it from using mobile data.
In case it's flagged, just switch it off in F-Droid->Settings->Only on Wi-Fi

Thank you very much for your kind words and your suggestions.

You're welcome. It's a pleasure to help.

Best Regards,

Boaz

RE: GT-I9300 Replicant 6.0, Can't install apps from F-Droid or refresh list - Added by Boaz Boaz 7 days ago

Fil Bergamo wrote:

I think it's build 0002. Where would I check?

Unfortunately, the release number is not directly mentioned in the "About phone" section.
But you can easily determine that by looking at Settings->About phone->Build date
the official release #0003 would show "So 10. Dez 16:07:40 UTC 2017. If your device shows any date before that, then you're running an outdated version of Replicant.

Indeed, it's an outdated version. Thanks.

I really thought WiFi just doesn't work at all without an external adapter. https://redmine.replicant.us/projects/replicant/wiki/Wifi https://redmine.replicant.us/projects/replicant/wiki/ReplicantStatus

Speaking of WiFi, does anyone understand what's the deal with the external adapters? This page https://redmine.replicant.us/projects/replicant/wiki/WifiAdapter lists some adapters that are known to work, but all of them are standard USB, not micro USB. How are they supposed to fit into the phone?

Indeed, the on-board chip doesn't work without proprietary software; so the only way to enable WiFi is to use an external WiFi card that works with free driver/firmware.
The page you linked lists all adaptors that are known to work in Replicant with free software.
All of them come with full-sized USB connector; to use them with Replicant phones, special cables or adaptors are needed to operate in OTG mode, making your phone behave as a "host" that can drive usb peripherals.
You can easily find USB OTG cables or adaptors (any will do) in pretty much any online store.

Got it, thanks, I didn't understand about the USB OTG cable, but now I see what I need. I think I'll go ahead and buy one of the listed adapters plus a USB OTG cable to expand the capabilities of the phone.

Also, have a look at F-droid's settings: there's an option that prevents it from using mobile data.
In case it's flagged, just switch it off in F-Droid->Settings->Only on Wi-Fi

Ha, you solved the problem! I checked and this setting was not turned on, but while I was looking through the settings I noticed a different setting that was turned on: the setting to use tor. I turned that off, and now it's working. Not sure why choosing to use tor makes it not work, but anyhow now I can install apps!

I'll still update the phone to the latest build though, for general good practice. Maybe it will even solve the F-Droid Privileged Extension "new version is signed with a different key" issue.

Fil, thanks so much for helping me solve this problem.

Boaz

RE: GT-I9300 Replicant 6.0, Can't install apps from F-Droid or refresh list - Added by Fil Bergamo 7 days ago

Boaz Boaz wrote:

Got it, thanks, I didn't understand about the USB OTG cable, but now I see what I need. I think I'll go ahead and buy one of the listed adapters plus a USB OTG cable to expand the capabilities of the phone.

I suggest you to do so, as your phone (GT-I9300) is a good candidate for WiFi use, as it has showed to be very stable and performing with external dongles!

Ha, you solved the problem! I checked and this setting was not turned on, but while I was looking through the settings I noticed a different setting that was turned on: the setting to use tor. I turned that off, and now it's working. Not sure why choosing to use tor makes it not work, but anyhow now I can install apps!

Happy to hear that!
I'm not into tor, so I'm not sure about that, but here's my guess:
I think F-droid doesn't have tor capabilities of its own, and it needs an external app to provide tor access. So if you tell it to only use tor, than there must be a tor setup in place to provide F-droid with connectivity. If not, then F-droid would try to reach the network but will fail because it has no route to the internet.

I'll still update the phone to the latest build though, for general good practice. Maybe it will even solve the F-Droid Privileged Extension "new version is signed with a different key" issue.

Definitely a good idea. Release #0003 fixed that privileged extension bug, together with a reboot-loop bug regarding F-droid updates, and it also fixed the WiFi KRACK attack vuln.
So, yes, go for it!

Fil, thanks so much for helping me solve this problem.

You're very welcome! It's a huge pleasure to be able to help solving problems.

Boaz

    (1-5/5)